import { camelToDash } from '../../render/dom/utils/camel-to-dash.mjs';

const cubicBezierAsString = ([a, b, c, d]) => `cubic-bezier(${a}, ${b}, ${c}, ${d})`;
const validWaapiEasing = new Set([
    "linear",
    "ease-in",
    "ease-out",
    "ease-in-out",
]);
function mapEasingName(easingName) {
    const name = camelToDash(easingName);
    return validWaapiEasing.has(name) ? name : "ease";
}
function mapEasingToNativeEasing(easing) {
    if (!easing)
        return undefined;
    return Array.isArray(easing)
        ? cubicBezierAsString(easing)
        : mapEasingName(easing);
}

export { cubicBezierAsString, mapEasingName, mapEasingToNativeEasing };
